Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236309 - itext contains Sun confidential code
Summary: itext contains Sun confidential code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: itext
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 245222
TreeView+ depends on / blocked
 
Reported: 2007-04-12 23:54 UTC by Kevin Kofler
Modified: 2018-07-26 18:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-22 14:54:50 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2007-04-12 23:54:33 UTC
Description of problem:
The following files in the itext tarball:
com/lowagie/text/pdf/codec/postscript/PACommand.java
com/lowagie/text/pdf/codec/postscript/PAContext.java
com/lowagie/text/pdf/codec/postscript/PAEngine.java
com/lowagie/text/pdf/codec/postscript/PAPencil.java
com/lowagie/text/pdf/codec/postscript/PAToken.java
com/lowagie/text/pdf/codec/postscript/PainterException.java

contain code with the following copyright header:
/*
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

Version-Release number of selected component (if applicable):
itext-1.3-3.fc6

Additional info:
itext is a dependency of rssowl, so if itext is pulled, rssowl has to go to.

Comment 1 Kevin Kofler 2007-06-21 18:21:27 UTC
The offending code has been zapped upstream in version 2.0.3:
> Removal of EPS support. The code that was used from SUN's PostscriptDemo had
> ambiguous license information. Therefore it is better to look for an
> alternative.

Comment 2 Kevin Kofler 2007-06-21 18:30:44 UTC
However, itext is really a license minefield, searching for "Sun Microsystems" 
covered up some code which is essentially BSD-licensed, but with the following 
obnoxious clause added:
> You acknowledge that Software is not designed,licensed or intended for use
> in the design, construction, operation or maintenance of any nuclear
> facility.
The "licensed" part is the issue, because this appears to restrict the 
BSD-style license preceding this paragraph, making the code non-Free.

I wonder how many other supposedly Free Software Java projects are 
incorporating Sun code under similar non-Free licenses.

Comment 3 Andrew Overholt 2007-06-21 19:05:58 UTC
Sadly, much of the java world has typically been poor with licence checking and
code copying.

Comment 4 Anthony Green 2007-06-22 13:58:55 UTC
The source contains a text file that tries to justify the sun licensed code.  I
don't have time to sort all this out, so I intend to EOL itext and rssowl in
Extras and F7.  If somebody wants to dig through the licensing issues then they
should feel free to take these packages over.  overholt tells me that rssowl2
doesn't require itext, so it looks like it can return in Fedora 8. 


Comment 5 Anthony Green 2007-06-22 14:54:50 UTC
I've just completed the EOL process and am closing this bug.



Note You need to log in before you can comment on or make changes to this bug.